diff --git a/Simulation/Tests/ISF_Validation/test/test_RUN4_FullG4_ttbar.sh b/Simulation/Tests/ISF_Validation/test/test_RUN4_FullG4_ttbar.sh
new file mode 100755
index 0000000000000000000000000000000000000000..93c5c7bce0acadade160930466f87bd141323b4d
--- /dev/null
+++ b/Simulation/Tests/ISF_Validation/test/test_RUN4_FullG4_ttbar.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+#
+# art-description: MC16-style simulation using FullG4 and RUN4 geometry
+# art-include: master/Athena
+# art-type: grid
+# art-output: test.HITS.pool.root
+# art-output: truth.root
+
+# RUN4 setup
+# ATLAS-P2-ITK-24-00-00 and OFLCOND-MC16-SDR-15
+Sim_tf.py \
+--CA \
+--conditionsTag 'default:OFLCOND-MC16-SDR-15' \
+--physicsList 'FTFP_BERT_ATL' \
+--truthStrategy 'MC15aPlus' \
+--simulator 'FullG4MT' \
+--postInclude 'default:PyJobTransforms.UseFrontier' \
+--preInclude 'EVNTtoHITS:SimuJobTransforms.BeamPipeKill,SimuJobTransforms.FrozenShowersFCalOnly,SimuJobTransforms.TightMuonStepping' \
+--DataRunNumber '284500' \
+--geometryVersion 'default:ATLAS-P2-ITK-24-00-00' \
+--inputEVNTFile "/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/SimCoreTests/valid1.410000.PowhegPythiaEvtGen_P2012_ttbar_hdamp172p5_nonallhad.evgen.EVNT.e4993.EVNT.08166201._000012.pool.root.1" \
+--outputHITSFile "test.HITS.pool.root" \
+--maxEvents 4 \
+--imf False
+
+rc=$?
+rc2=-9999
+echo  "art-result: $rc simulation"
+if [ $rc -eq 0 ]
+then
+    ArtPackage=$1
+    ArtJobName=$2
+    art.py compare grid --entries 4 ${ArtPackage} ${ArtJobName} --mode=semi-detailed
+    rc2=$?
+fi
+
+echo  "art-result: $rc2 regression"